# © 2023 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

import json

from odoo import http


class ApiConnectorController(http.Controller):
    # ------------------------------------------------------
    # Route
    # ------------------------------------------------------
    @http.route(
        ["/web/api/download-json/<int:wizard_id>"],
        type="http",
        auth="user",
        methods=["GET"],
    )
    def download_json_response(self, wizard_id):
        res = http.request.env["api.json.response.wizard"].browse(wizard_id)
        headers = [
            ("Content-Type", "application/json"),
            ("Content-Disposition", http.content_disposition("datas.json")),
        ]
        data = json.dumps(json.loads(res.json_response.encode("utf-8")), indent=4)
        return http.request.make_response(data, headers=headers)
