/** @odoo-module **/

import {registry} from "@web/core/registry";
import {loadJS} from "@web/core/assets";
import {Component, onWillStart, useEffect, useRef} from "@odoo/owl";

class JsonWidget extends Component {
    setup() {
        this.json_tree = null;
        this.divRef = useRef("json_response");

        onWillStart(() =>
            loadJS("/api_connector/static/src/lib/jsonview/jsonview.min.js")
        );

        useEffect(() => {
            this.updateJson();
            return () => {
                if (this.json_tree) {
                    this.json_tree.destroy();
                }
            };
        });
    }
    updateJson() {
        if (this.json_tree) {
            this.json_tree.destroy();
        }
        const tree = jsonview.create(this.props.value);
        this.json_tree = jsonview.render(tree, this.divRef.el);
        jsonview.expand(tree);
    }
}
JsonWidget.template = "api_connector.JsonWidgetField";
registry.category("fields").add("json_viewer", JsonWidget);

export default JsonWidget;
