# Copyright 2023 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)


from odoo import fields, models


class ApiJsonResponseWizard(models.TransientModel):
    _name = "api.json.response.wizard"
    _description = "API JSON response wizard"

    description = fields.Char()
    json_response = fields.Text(string="Réponse")

    # ------------------------------------------------------
    # Action functions
    # ------------------------------------------------------
    def export_json(self):
        self.ensure_one()
        return {
            "type": "ir.actions.act_url",
            "url": "/web/api/download-json/%d" % self.id,
            "target": "new",
        }
